
/*--------------------------------------------------------------------*/
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*                                                                    */
/*--------------------------------------------------------------------*/

/*------------------*/
/* HPFSOPEN.C       */
/*------------------*/
ULONG HPFSOpen( PVOL pVol, PBYTE pFileName, PHFILE phFile );
ULONG HPFSFindFNode( PFILE pFile, ULONG DirLSN  );
ULONG HPFSFindDirEnt( PFILE pFile, ULONG DirLSN, PBYTE pFileName, PBYTE pDirBuf, PDIRENT *ppDirEnt );
LONG  HPFSNameCmp( PBYTE s1, PBYTE s2 );
ULONG HPFSClose( PFILE pFile );
ULONG HPFSGetFSInfo( PVOL pVol, PBYTE pFileName, PMFSFILEINFO pFileInfo );

/*------------------*/
/* HPFSRW.C         */
/*------------------*/
ULONG HPFSReadSec(  PFILE pFile, ULONG SecPos, PBYTE pBuf, ULONG Size );
ULONG HPFSWriteSec( PFILE pFile, ULONG SecPos, PBYTE pBuf, ULONG Size );

ULONG HPFSDoFileIO( PFILE pFile, ULONG IOType, ULONG SecPos, PBYTE pBuf,
                    ULONG Size );

ULONG HPFSFindLeafNode( PFILE pFile, PALBLK *ppALB, ULONG SecPos );
ULONG HPFSExtentIO( PFILE pFile, ULONG IOType,  PALBLK pALB, PULONG SecPos,
                    PBYTE *ppBuf, PULONG pIOBytes );
